POST V1/ProAdminPaymentsMaster.{ext}/SaveNotification?action={action}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Payments.Entities.Notification
NameDescriptionTypeAdditional information
NotificationDetId

Notification Detail Id

integer

None.

NotificationId

Notification Id

integer

None.

NotificationType

Signature

string

None.

NotificationName

Notification Name

string

None.

EmailSubject

Email Subject

string

None.

EMailBody

EMail Body

string

None.

DisplayFlag

Is To Display Date Time

boolean

None.

Greeting

Greeting

string

None.

Signature

Signature

string

None.

Request Formats

application/json, text/json

Sample:
{
  "notificationDetId": 1,
  "notificationId": 2,
  "notificationType": "sample string 3",
  "notificationName": "sample string 4",
  "emailSubject": "sample string 5",
  "eMailBody": "sample string 6",
  "displayFlag": true,
  "greeting": "sample string 8",
  "signature": "sample string 9"
}

application/xml, text/xml

Sample:
<Notification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <DisplayFlag>true</DisplayFlag>
  <EMailBody>sample string 6</EMailBody>
  <EmailSubject>sample string 5</EmailSubject>
  <Greeting>sample string 8</Greeting>
  <NotificationDetId>1</NotificationDetId>
  <NotificationId>2</NotificationId>
  <NotificationName>sample string 4</NotificationName>
  <NotificationType>sample string 3</NotificationType>
  <Signature>sample string 9</Signature>
</Notification>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.